#3347 closed defect (fixed)

tms570: Register Macro Redefinition

Reported by: Joel Sherrill Owned by: Pavel Pisa
Priority: normal Milestone: 5.2
Component: arch/arm Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This looks like the same name was accidentally used. Without knowing the architecture, you can't know what was intended:

/home/joel/rtems-work/rtems-testing/rtems/rtems/bsps/arm/tms570/include/bsp/ti_herc/reg_sys.h:164:0: warning: "TMS570_SYS1_CDDIS_VCLKAOFF_SET" redefined
/home/joel/rtems-work/rtems-testing/rtems/rtems/bsps/arm/tms570/include/bsp/ti_herc/reg_sys.h:163:0: warning: "TMS570_SYS1_CDDIS_VCLKAOFF_GET" redefined
/home/joel/rtems-work/rtems-testing/rtems/rtems/bsps/arm/tms570/include/bsp/ti_herc/reg_sys.h:162:0: warning: "TMS570_SYS1_CDDIS_VCLKAOFF" redefined
/home/joel/rtems-work/rtems-testing/rtems/rtems/bsps/arm/tms570/include/bsp/ti_herc/reg_sys.h:146:0: warning: "TMS570_SYS1_CSDISCLR_CLRCLKSR_OFF_SET" redefined
/home/joel/rtems-work/rtems-testing/rtems/rtems/bsps/arm/tms570/include/bsp/ti_herc/reg_sys.h:145:0: warning: "TMS570_SYS1_CSDISCLR_CLRCLKSR_OFF_GET" redefined
/home/joel/rtems-work/rtems-testing/rtems/rtems/bsps/arm/tms570/include/bsp/ti_herc/reg_sys.h:144:0: warning: "TMS570_SYS1_CSDISCLR_CLRCLKSR_OFF" redefined
/home/joel/rtems-work/rtems-testing/rtems/rtems/bsps/arm/tms570/include/bsp/ti_herc/reg_sys.h:134:0: warning: "TMS570_SYS1_CSDISSET_SETCLKSR_OFF_SET" redefined
/home/joel/rtems-work/rtems-testing/rtems/rtems/bsps/arm/tms570/include/bsp/ti_herc/reg_sys.h:133:0: warning: "TMS570_SYS1_CSDISSET_SETCLKSR_OFF_GET" redefined
/home/joel/rtems-work/rtems-testing/rtems/rtems/bsps/arm/tms570/include/bsp/ti_herc/reg_sys.h:132:0: warning: "TMS570_SYS1_CSDISSET_SETCLKSR_OFF" redefined
/home/joel/rtems-work/rtems-testing/rtems/rtems/bsps/arm/tms570/include/bsp/ti_herc/reg_sys.h:122:0: warning: "TMS570_SYS1_CSDIS_CLKSROFF_SET" redefined
/home/joel/rtems-work/rtems-testing/rtems/rtems/bsps/arm/tms570/include/bsp/ti_herc/reg_sys.h:121:0: warning: "TMS570_SYS1_CSDIS_CLKSROFF_GET" redefined
/home/joel/rtems-work/rtems-testing/rtems/rtems/bsps/arm/tms570/include/bsp/ti_herc/reg_sys.h:120:0: warning: "TMS570_SYS1_CSDIS_CLKSROFF" redefined

Change History (3)

comment:1 Changed on Mar 15, 2018 at 2:57:13 PM by Joel Sherrill

Owner: set to Pavel Pisa
Status: newassigned

comment:2 Changed on Oct 13, 2018 at 10:51:07 PM by Joel Sherrill

Milestone: 5.15.2

comment:3 Changed on Oct 15, 2018 at 6:45:51 AM by Pavel Pisa <pisa@…>

Resolution: fixed
Status: assignedclosed

In 1822649/rtems:

bsp/tms570: Simple fix to resolve macro redefinitions.

closes #3347

Note: See TracTickets for help on using tickets.